---
title: 'NDEFReader: onreadingerror'
slug: Web/API/NDEFReader/onreadingerror
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <code>onreadingerror</code> property of the {{DOMxRef("NDEFReader")}} interface of the <a href="/en-US/docs/Web/API/WebNFC_API">Web NFC API</a> is called whenever an error occurs during reading of NFC tags, e.g. when tags leave the reader's magnetic induction field.</span></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefreader-onreadingerror">Web NFC</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFReader.onreadingerror")}}</p>
